%global pypi_name orange-widget-base

Name:           python-%{pypi_name}
Version:        4.16.1
Release:        %mkrel 1
Summary:        Base Widget for Orange Canvas
Group:          Development/Python

License:        GPLv3
URL:            https://pypi.org/project/orange-widget-base/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This project implements the base OWBaseWidget class and utilities for use in
Orange Canvas workflows.

%package -n     python3-%{pypi_name}
Summary:        Base Widget for Orange Canvas
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:    python3-devel
BuildRequires:    python3-setuptools

%description -n python3-%{pypi_name}
This project implements the base OWBaseWidget class and utilities for use in
Orange Canvas workflows.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc LICENSE
%doc README.md
%{python3_sitelib}/orangewidget
%{python3_sitelib}/orange_widget_base-%{version}-py*.egg-info


%changelog
* Sun Mar 20 2022 guillomovitch <guillomovitch> 4.16.1-1.mga9
+ Revision: 1809033
- imported package python-orange-widget-base

